#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xDF,0xA4,0x84,0xD8,0x77,0xE0,0x0C,0x84,0x6E,0x01,0x05,0x48,
		0x34,0x6F,0x24,0x66,0x41,0xA9,0x07,0xAE,0x1A,0x83,0x6F,0x4C,
		0xA3,0x99,0xFB,0x25,0x51,0xC5,0xAF,0x66,0x81,0xD1,0xCE,0xC0,
		0x14,0x15,0x9A,0x92,0x9D,0x2F,0xE4,0x77,0x03,0xB3,0x89,0x14,
		0x77,0x33,0xE8,0xC1,0x50,0x72,0x38,0xDF,0x50,0xD0,0x15,0xC7,
		0xF7,0x69,0xBA,0xCB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
